%define upstream_name    Regexp-DefaultFlags
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Set default flags on regular expressions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildArch: noarch

%description
When this module is 'use''d, it causes regexes in the current namespace to
act as if the '/xms' flags had been applied to them.

See the perlre manpage for more details and caveats on these flags.

If an argument is passed to the 'use' statement, the module uses the flags
specified in that argument instead of '/xms'. The replacement flags can be
specified in any of the following ways:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Mar 15 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 71627
- imported package perl-Regexp-DefaultFlags


* Tue Mar 15 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
